Subject: [quicwg/base-drafts] HTTP Errors aren't consistent (#2231)

From: ekr <[email-masked]>
Date: Thu, 20 Dec 2018 15:11:05 -0800

Clients don't send GOAWAY and when a client sends one, the server treats
it as HTTP_UNEXPECTED_FRAME. By contrast, servers don't send MAX_PUSH_ID
but the client treats receiving one as HTTP_MALFORMED_FRAME.

By contrast, if GOAWAY is sent on !control it's HTTP_UNEXPECTED_FRAME,
but if MAX_PUSH_ID is sent on !control, it's HTTP_WRONG_STREAM.

I think the answers here are HTTP_UNEXPECTED_FRAME and HTTP_WRONG_STREAM
respectively, but we should be consistent.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/2231